﻿using QwirkleClassLibrary.Boards;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary.Players
{
    public class Score
    {
        public string PlayerName { get; private set; }
        public DateTime Date { get; set; }
        public int Points { get; set; }
        public int Victories { get; set; }

        public Score(string playerName, DateTime date, int points, int victories)
        {
            this.PlayerName = playerName;
            this.Date = date;
            this.Points = points;
            this.Victories = victories;
        }

        public override string ToString()
        {
            return PlayerName + " / " + Date.ToString() + " / " + Points + " / " + Victories;
        }
    }

}
